hmmconvert(1)

NAME

hmmconvert - convert between profile HMM file formats

SYNOPSIS
hmmconvert [options] oldhmmfile newhmmfile

DESCRIPTION
hmmconvert reads an HMM file from oldhmmfile in any HMMER format, and writes it to a new file newhmmfile in a new format. oldhmmfile and newhmmfile must be different files; you can't reliably overwrite the old file. By default, the new HMM file is written in HMMER 2 ASCII format. Available formats are HMMER 2 ASCII (default), HMMER 2 binary (-b) GCG profile (-p) , and Compugen XSW extended profile (-P).

OPTIONS

-a  Convert to HMMER 2 ASCII file. This is the default, so this option is unnecessary.

-b  Convert to HMMER 2 binary file.

-h  Print brief help; includes version number and summary of all options, including expert options.

-p  Convert to GCG profile .prf format.

-A  Append mode; append to newhmmfile rather than creating a new file.

-F  Force; if newhmmfile already exists, and -A is not being used to append to the file, hmmconvert will refuse to clobber the existing file unless -F is used.

-P  Convert the HMM to Compugen XSW extended profile format, which is similar to GCG profile format but has two extra columns for delete-open and delete-extend costs. (I do not believe that Compugen publicly supports this format; it may be undocumented.)

SEE ALSO

hmmalign hmmbuild hmmcalibrate hmmconvert hmmemit hmmfetch hmmindex hmmpfam hmmsearch

User guide and tutorial: Userguide.ps

WWW: http://hmmer.wustl.edu/

AUTHOR
This software and documentation is Copyright (C) 1992-1998 Washington University School of Medicine. It is freely distributable under terms of the GNU General Public License. See COPYING in the source code distribution for more details, or contact me.
Sean Eddy
Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu